#include "StdAfx.h"
#include "DlgMain.h"


class CApplicaction : public CAtlExeModuleT<CApplicaction>
{
private:
    HINSTANCE m_hInstance;

public:
    DECLARE_LIBID(LIBID_ATLLib)

    CApplicaction::CApplicaction(HINSTANCE hInstance)
    {
        m_hInstance = hInstance;
    }

    HRESULT CApplicaction::PreMessageLoop(int iCmdShow)
    {
        //HRESULT hr = CAtlExeModuleT<CApplicaction>::PreMessageLoop(iCmdShow);
        HRESULT hr = CAtlExeModuleT::PreMessageLoop(iCmdShow);
        if (!FAILED(hr))
        {
            Lock();
            if (CDlgMain(m_hInstance).DoModal() == -1)
            {
                MessageBox(NULL, TEXT("Application window cannot be displayed.\nTry to set compatibility with 'Windows 2000'\nin file properties and run it again."), TEXT("Error"), MB_OK | MB_ICONERROR);
            }
            Unlock();
        }
        return S_FALSE;
    }
};

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, PSTR szCmdLine, int iCmdShow)
{
    return CApplicaction(hInstance).WinMain(iCmdShow);
}
